import "../../../../chunks/chunk.QU3DSPNU.js";
import { createElement } from "react";
import { IconArrowUp as IconArrowUpClass } from "../../../../components/icon/icons/arrow-up.component.js";
import { getReactComponent } from "../../../../utils/react.js";
const IconArrowUp = (props) => {
  IconArrowUpClass.define();
  const JSXElement = getReactComponent("gds-icon-arrow-up");
  const propsWithClass = { ...props, class: props.className, ref: props.ref };
  return createElement(JSXElement, propsWithClass);
};
IconArrowUp.displayName = "IconArrowUp";
export {
  IconArrowUp
};
